## pstree 1.1

=== Makefile ===
all:
	gcc -O -o pstree pstree.c -Wall

clean:
	rm -f *.o pstree

install:install-bin
uninstall:uninstall-bin

install-bin:
	mkdir -p $(DESTDIR)/usr/bin/	
	cp pstree $(DESTDIR)/usr/bin/pstree
	
uninstall-bin:
	rm -f $(DESTDIR)/usr/bin/pstree

## pstree 1.0.0

=== debian/changelog ===
pstree (1.0.0) unstable; urgency=low

  * Initial release - Ported to Maemo 5

 -- Pedram Veisi <pedramveisi@gmail.com>  Wed, 22 Sep 2010 23:09:59 +0330

=== debian/control ===
Source: pstree
Section: user/utilities
Priority: extra
Maintainer: Pedram Veisi <pedramveisi@gmail.com>
Original-Maintainer: Werner Almesberger <werner@almesberger.net> Craig Small <csmall@small.dropbear.id.au>
XSBC-Bugtracker: mailto:pedramveisi@gmail.com
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pstree
Version: 1.0.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line program that display a tree of processes 
  pstree shows running processes as a tree. The tree is rooted at either pid or init if pid is omitted. If a user name is specified, all process trees rooted at processes owned by that user are shown.

## pstree 1.1

=== debian/changelog ===
pstree (1.1) unstable; urgency=low

  -Icon added
  -Description fixed.
 -- Pedram Veisi <pedramveisi@gmail.com>  Wed, 23 Sep 2010 02:18:00 +0330

=== debian/control ===
Source: pstree
Section: user/utilities
Priority: extra
Maintainer: Pedram Veisi <pedramveisi@gmail.com>
Original-Maintainer: Werner Almesberger <werner@almesberger.net> Craig Small <csmall@small.dropbear.id.au>
XSBC-Bugtracker: mailto:pedramveisi@gmail.com
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pstree
Version: 1.0.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line program that display a tree of processes 
 pstree shows running processes as a tree. The tree is rooted at either pid or init if pid is omitted. If a user name is specified, all process trees rooted at processes owned by that user are shown.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAACctJREFUeNrUWk1oFVkW/s69VZXHuBqkceFWUNufCRMRBMWF0IKK
 vygqbhQX0gMyDDQ0AzJD72fjPgtx2r8oKmPUp4kxIBoYNRCZNkFcOOAihGjM
 yzNVr+reO4t65/5UXnp6pqUbCx51q+r+nHPP33fOfWSMwed8CXzmFwHA6dOn
 a0opEBGMMdBagyVjjIEQwraVUhBCwO9PRFDKAND22R/vt6vzALDraa3tOwAo
 Cg1Al4QSASAUhQKRQZqmur+/v0XffPPNXwH80RijeAGttZ1kMQIW3g2M+Wlj
 f2weX6Xdczl3eWloDdJaf3z79u0fIiHEX9asWYPly5d3GAwAoY1U+7i262uM
 /80Ez+G81OG9I5yo7Kd1uCYR4dmzf/52cnLyTERExcqVK6ONGzdCa2MnKkVq
 gl3QGpVn19cY3Zae6+O+lQQoZUBkKutor+36l4I0Hh1unSSJ8fbtv6GUqkU8
 QCnt6aLblbIdEhO2FzJdXbjKrL+r1fU6zwXbRykFrSVLy0S+jvFgKaVnwG5S
 XyL+u1IdNAACkbaqQeTmLo3QZ4IqauN+ndbx+zpVNYh8/eWOc3MNKKUD4zGG
 Ar0sn0Mb4fFE8L6Xfcp3gBAEQFbso+0SCfB8gCUyy3JkWctKxWcwckbErqvA
 99//HQMDAyAiCEEQQoKIQESQUrTbAkKIdh//7trlWGFdoJQEItmehyrzlP35
 WQiASKAoFL788vdYtWrtgt0H4DNQclQUBUZHRzEyMoKjR48GbvFnBx2ybhBa
 O7Uqw5GvIu0oKwR++OFfeP78Ob777m9Wtcs446kQG50vzlWrVuHMmTNBUPul
 Lykl7ty5gwsXLrSDnGzbGbXtC6EKseFJKZFlGaanp39VBuI4xvDwMNI0sypc
 2pCzr6jqFrWmNjRQaDQan1SF/pcrSRKMj4+jr68P3d3d1pZKR4CqCsHiGMBA
 CIk8zzE7O/urSEBKiTiOcfbsWbx//77tOEobYkMPVKj0vc4VCkEBA7/0VavV
 cPXqVTx8+NAaLf989wvAScCHDkIIFEWBDx8+WNXyUaKbaCEA+zmXMQZxHGNs
 bAwXL160m8cumeMLo90gDvi+1VchFqnPgA+5PxUDTPzU1BTOnz+P6enpDm6Y
 2oxQNRKHeETK0ojn5uaQJAmiKLIYXmu9gPhPwYCUEjMzM7h8+TJevXrl+ftS
 XaJIWO9TSiKwAac+5cBSAmma2uhsjEGr1UJRFEEC8ikYkFJidnYW9XodExMT
 gYq4AEhtQ/btwKpQiN2lLG2g2WzaBUpMkqHVaiHPcyilPokEkiTB5OQkHj16
 hKmpKXR1dUFrbaXtojIFTARGzECNwRmRQJ7naDQa6OrqshAjyzJkWYY8z5Hn
 uZXM/8tAURR48+YNJiYmkOc54ji2xBMRtNYoisK6T0a1ng9xEvCxN3uhLMus
 yvBkrVYLHz9+tIxU44SfJ1cNkIlO0xSNRgNTU1OYm5tDFEU2z2bifQYcHCer
 TkEkLlXIeIGMrNGyqhRFgTzPkWUZ0jS19sALLuZZlFJ2HDOulLLSq9VqdtdL
 dykCBrj2IARBKYYTng34yYQLZKXOs65rra1RF0VhF+H3zAj3rT77uSy7Yx7P
 EhSiVFs/aPk2UKoRLNSxKuSimnOl3CFNU6RpilqtZnctTVNkWYZGo4Fms2nV
 iAOOA13CGj9fSilb9eCfzyRjMF5fKeVBaAcfmP62F/Jz1vIuhLASmJ+fR5Ik
 mJ+fx9TUFGZmZlAUhSU4jmO7aBRFHW2ADV1KGbhgrgPx3dd/ByFEe/e5H3XK
 B0J8ISXZnfrw4QN6e3uxY8cOZFkGIYQllBdiYqSUgQpUkyUXc/QCb+OP8xlw
 KufcZ8dAxkWpskM5qNls4tatWwCALMsgpUQURdYz+SGdd9GlkAgCkk88331d
 rxLvYA1ZgMlMuEwOEOXEFBSihBBI0xRDQ0NYv349AGBwcBBKKdTrdQsvWM+j
 KEJXVxeSJEEcx4jj2Lb990NDQ4jjGFEU2X78zD8ppZ2T1/CN2I/Gxhgu7oaQ
 QAhpDWtsbAwbNmzA5s2bQUTYtWsX7ty5g/v372NgYABCCNy/fx/37t1DFEW4
 e/euJer27dvo7+9HkiSo1+sAgIGBATx48MAy8/jxY9t/dHQUL168QBzHkFLi
 9evXFg24OBC6bOFqNPCMuOy0bt06AMDTp0+DnTpw4AD27t2LPXv2oF6vY9eu
 XQCA/v5+Cw+SJAEAHDp0CFJK7Nu3DwCwe/du7Ny5EwDw4MEDbNu2DVJKjIyM
 YNOmTRa6vHz5EqtXrw4CIUdh34hFWEJEYAMsvi1btmBoaMga6bVr13Djxg3c
 vHkTe/fuRRzHlljOZeM4xuHDh3HlyhX7zN+iqPQdO3fuhJQSw8PDAIAnT55g
 06ZNGB0dBQC8fPkSS5cuDWKBS+g9IyYyFRUqbaKnp8fuCDN0/fp1HDx4MMDw
 fX19lthjx45ZYn3Adv78eRw5cgRSSly7dg379+8P4sS2bdtskASAnp6e4Jkj
 sEtoAjCHoOTHxsmB5+HDh9i+fTuSJMGBAwfspNwPAC5dumR3WAiB3t5eAMCJ
 EyfsjrNu+5vCOj04OAgA2Lp1KwDg2bNnAIBly5Z5u+8bsQenXWnRBBGV1Ye9
 CrtJ30czIcePH7fJOBHh1KlTlmhjDE6ePIkoiqCUwrFjxyxTbBcMSaSU2LJl
 i8Ve1VR2QVmFXadSrP/GGgwT77s3Ti+Z+HPnztlEnL+FCThs0GJQyLBEShng
 H8ZDfgB085ClLQBzVTRKJJAkNRRFgfHxcUSRhBCO+DiOLDokEli7dg2EkDbE
 c22zCiP8CNwJC3Gbn/n+7t07dHf/DlIS2ggmqJFG/kED71Z390Z8++2f0Wrl
 tgjrl1z8IzbWy2oN1K84+8Vjf/FF0vsAGRdFjq++2o6urhry/GNnLOTq8mVA
 ++KLZfj66z8tOM/yj4DKu257BXa5BkKgXcN0Bhemg6iANWpHWJeslGZFXh0U
 mJ+f99AoVavTIV4pM6980dOY6lETE8iELNb2CfaJc+oX4h03ByoJPRaWVcKT
 kjDRD0vfZI8+uYbPRHaKmH6bGeVY40ukvJugzX05eLGEfDWO2HCdyHxCXeW6
 DHaunu92VVQIYQLEAqZCRImgb+c5FrZdDClpiYwx0ezsjGk235N/rBTGByyw
 A64Q+1L1xV0N/50S/E7fOUh1mss39GZzDkRCRq1Wa/zevfqqwcGBjgfR/+2g
 uhoEf9r4zmPYe/1YX9aALMswNzf3jlasWLFmyZIlp4ui+E2nA+xwAVr00Hux
 Qq+fvCw2xk/yOx2m8zefhqIoWpOTk/8gl9z76eVnc2X0uf/d5j8DAONHKD86
 XpO9AAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/pstree.sgml > pstree.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/pstree.
	$(MAKE) DESTDIR=$(CURDIR)/debian/pstree install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
